DEVCLASS_GET_DEVICES(9)

NAME
devclass_get_devices - get a list of devices in a devclass

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
devclass_get_devices(devclass_t dc, device_t **devlistp, int *devcountp);

DESCRIPTION
Retrieve a list of all device instances currently in the devclass and return the list in *devlistp and the count in *devcountp. The memory allocated for the list should be freed using free(*devlistp, M_TEMP), even if *devcountp is 0.

RETURN VALUES
Zero is returned on success, otherwise an appropriate error is returned.

SEE ALSO
devclass(9), device(9)

AUTHORS
This manual page was written by Doug Rabson.